%perl_module CGI 3.52 9

Summary:       CGI modules for perl
Epoch:         2
Group:         Development/Languages
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkgname}/
Source:        http://search.cpan.org/CPAN/authors/id/M/MA/MARKSTOS/%{pkgname}.pm-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.67
BuildRequires: perl(Test::More)

%description
This perl 5 library uses objects to create Web fill-out forms on the
fly and to parse their contents. It provides a simple interface for
parsing and interpreting query strings passed to CGI scripts. However,
it also offers a rich set of functions for creating fill-out
forms. Instead of remembering the syntax for HTML form elements, you
just make a series of perl function calls. An important fringe benefit
of this is that the value of the previous query is used to initialize
the form, so that the state of the form is preserved from invocation
to invocation.

%prep
%setup -q -n %{pkgname}.pm-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall
for man in %{buildroot}%{perl_man3dir}/*.3pm*; do
  man2=`echo $man | sed -e's,/CGI,/CGI.pm,'`
  mv $man $man2
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorlib}/%{pkgname}.pm
%{perl_vendorlib}/%{pkgname}
%{perl_man3dir}/%{pkgname}*.3pm*

%changelog
* Sun Apr 10 2011 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.52.

* Mon Jan 26 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.42.

* Mon May  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.08.

* Tue Apr  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.91.
- Adapt to new macro scheme.

* Thu Dec 5 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
